import { TextBase, Property, CssProperty, Style, Color, FormattedString, EventData  } from "tns-core-modules/ui/text-base";
import { View } from "tns-core-modules/ui/core/view";

export * from "tns-core-modules/ui/text-base";

export class RadioButton extends TextBase {
    // // static field used from component-builder module to find events on controls.
    // static tapEvent: string; 

    // // Defines the tint property.
    tint: string;

    // // Overload 'on' method so that it provides intellisense for 'tap' event.
    // on(event: "tap", callback: (args: EventData) => void, thisArg?: any);

    // // Needed when 'on' method is overriden.
    // on(eventNames: string, callback: (data: EventData) => void, thisArg?: any);
}

export const tintProperty: Property<RadioButton, string>;

export class RadioGroup extends View {

    static checkedChangedEvent: string; 

    checkedButton: number;

    on(eventNames: string, callback: (data: EventData) => void, thisArg?: any);
    
    on(event: "checkedChanged", callback: (args: EventData) => void, thisArg?: any);
}

export const checkedButtonProperty: Property<RadioGroup, number>;