import { RadioButton as RadioDefinition, RadioGroup as GroupDefinition } from "./radio";
import { TextBase, Property } from "tns-core-modules/ui/text-base";
import { StackLayout } from 'tns-core-modules/ui/layouts/stack-layout';
export * from "tns-core-modules/ui/text-base";
export declare const tintProperty: Property<RadioButtonBase, string>;
export declare abstract class RadioButtonBase extends TextBase implements RadioDefinition {
    tint: string;
}
export declare const checkedButtonProperty: Property<RadioGroupBase, number>;
export declare abstract class RadioGroupBase extends StackLayout implements GroupDefinition {
    static checkedChangedEvent: string;
    checkedButton: number;
}
